PromptHeading = ID_TUTORIAL_11_OFFSET + 1
g_currentprompt = 0;
g_counter = 0;
Tweaks.numyearsin24hours = 0;

-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
--	Game.Pause();
	-- load the building and business file
	C_RunScript("scripts\\maps\\tempmap.lua");
end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	-- create an initial prompt
	C_TriggerEvent("BlockCam", 1, PACIFIC_AVENUE);
	-- Game.Unpause();
	Interface.DisableAllControls();
	C_TriggerEvent("SetPlanView", 1);
	-- create the initial prompt
	CreatePrompt(1);
end;

function CATCHEVENT_InterfacePromptDismiss(a)
	CreatePrompt(a);
end;

function CATCHEVENT_TutorialEvent(a)

	if g_currentprompt == 11 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 10 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 9 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 4 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_MPP_INFOBUTTON_2);
	end;

	if g_currentprompt == 2 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;
end;


function CATCHEVENT_Picked3D(a)

	if g_currentprompt == 11 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_NAVIGATOR_PANEL);
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 10 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;


	if g_currentprompt == 9 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if a == 1 and g_currentprompt == 2 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;
end;

-- prompt manager
function CreatePrompt(a)
	g_currentprompt = a;
	body = a+PromptHeading;
	if a == 1 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Okay. Let's look at the Railroad Stations.", a+1);
	elseif a == 2 then
		Interface.CreateMessage(PromptHeading,body, a+1); --"Double click the B&O Railroad.", a+1);
		Interface.EnableBlockPicking(B_O_RAILROAD);
		Interface.AddArrow(403, 72);
	elseif a == 3 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Money comes in from two different sources. First is the set daily income from freight. This is guaranteed to each of the stations. Secondly are the passenger ticket sales.", a+1);
		Interface.AddArrow(189, 191);
	elseif a == 4 then
		Interface.CreateMessage(PromptHeading,body, a+1); --"Anyone who cannot find a place to live in the city will commute in through one of the four Railroad stations. If you own the lease on that Railroad Station, you will collect their ticket money.", a+1);
		Interface.EnableControl(TUT_MPP_INFOBUTTON_2);
		Interface.AddArrow(73,52);
	elseif a == 5 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Anyone who cannot find a place to live in the city will commute in through one of the four Railroad stations. If you own the lease on that Railroad Station, you will collect their ticket money.", a+1);
	elseif a == 6 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"In the evening they will leave the city, paying again before they travel.", a+1);
	elseif a == 7 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"You will also see tourists coming into the city through the Railroads; so building businesses that would suit these people nearby would be a good idea - once you've collected their fare of course.", a+1);
	elseif a == 8 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"You will also see tourists coming into the city through the Railroads; so building businesses that would suit these people nearby would be a good idea - once you've collected their fare of course.", a+1);
	elseif a == 9 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"The other Railroads are Pennsylvania...", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(PENSYLVANIA_RAILROAD);
		Interface.AddArrow(611, 395);
	elseif a == 10 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"...Reading Railroad...", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(READING_RAILROAD);
		Interface.AddArrow(579, 435);
	elseif a == 11 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"and finally Shortline Railroad.", a+1);
		Interface.EnableControl(TUT_NAVIGATOR_PANEL);
		Interface.EnableBlockPicking(SHORTLINE_RAILROAD);
		Interface.AddArrow(545, 393);
	elseif a == 12 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Once again, the more Railroads that you control at one time, the more your daily income will be, so do what you can to collect them all!", a+1);
	elseif a == 13 then
		Game.End(true);
	end;
end;


